import * as React from 'react';
import { t } from '../common';
export declare type ITestProps = Record<string, unknown>;
export declare class Test extends React.PureComponent<ITestProps, t.ITestState> {
    state: t.ITestState;
    private unmounted$;
    private state$;
    componentDidMount(): void;
    componentWillUnmount(): void;
    get editorType(): t.TestEditorType;
    render(): JSX.Element;
}
